<template>
  <div class="container">
    <h1 class='ko-b'>Item {{ item_id }}</h1>
  </div>
</template>

<style scoped>
  .example {
    color: v-bind('color');
  }
</style>

<script setup>
const route = useRoute ()
const item_id = ref (route.params.id)
onActivated (() => {
  item_id.value = route.params.id
})
watch (() => item_id.value,
  (to, from) => {
    frontend.log (`item changed: ${from} => ${to}`)
  }
)
</script>

<script>
  export default {
    beforeRouteEnter (to, from, next) {
      // frontend.permission.required (['user', 'staff'], {name: 'signin'}, {to, from, next})
      next ()
    }
  }
</script>
